User Tools

Site Tools


howto:linux:install:raspbian

Differences

This shows you the differences between two versions of the page.

Link to this comparison view

Both sides previous revision Previous revision
Next revision
Previous revision
howto:linux:install:raspbian [2014/07/22 21:11]
nx3 [Install Serviio]
howto:linux:install:raspbian [2016/01/27 16:45] (current)
szati [FFMPEG]
Line 9: Line 9:
  
 "​Oracle JDK 8 for ARM has JIT compiler and supports hard float point instructions. This is the fastest (1.5x-10x times faster than other JVMs) Java option for Raspberry Pi" "​Oracle JDK 8 for ARM has JIT compiler and supports hard float point instructions. This is the fastest (1.5x-10x times faster than other JVMs) Java option for Raspberry Pi"
- 
-<​code>​ 
-This isn't working as yet....its a to be updated 
-wget --no-check-certificate http://​download.oracle.com/​otn-pub/​java/​jdk/​8u6-b23/​jdk-8u6-linux-arm-vfp-hflt.tar.gz 
-tar zxf jdk-8u6-linux-arm-vfp-hflt.tar.gz 
-rm jdk-8u6-linux-arm-vfp-hflt.tar.gz 
-</​code>​ 
 ==== Install Oracle Java for ARM ==== ==== Install Oracle Java for ARM ====
  
 Download Oracle JDK8 for ARM on your RaspberryPi and get the resulting file to your '​home'​ folder on Raspbian. Download Oracle JDK8 for ARM on your RaspberryPi and get the resulting file to your '​home'​ folder on Raspbian.
-[[https://jdk8.java.net/download.html]]+http://www.oracle.com/technetwork/​java/​javase/​downloads/​jdk8-downloads-2133151.html
  
 Oracle provide a good installation guide at: Oracle provide a good installation guide at:
Line 27: Line 20:
  
 ==== Configure Java ==== ==== Configure Java ====
-Switch to "​su"​ (super user mode): +Decompress the tar file, the file name will change depending on the version you download 
-<​code>​pi@raspberrypi $ sudo su</​code>​+<​code>​ 
 +sudo tar zxvf jdk-8u60-linux-arm32-vfp-hflt.tar.gz -C /opt 
 +</​code>​
  
 Change the owner of JAVA: Change the owner of JAVA:
-<​code>​root@raspberrypi /opt $ chown -R root jdk1.8.0</​code>​+<​code>​root@raspberrypi /opt $ sudo chown -R root jdk1.8.0_60/</​code>​
  
 Set where the Java components are installed: Set where the Java components are installed:
 <​code>​ <​code>​
-update-alternatives --install ​"/​usr/​bin/​java" "java" "/​opt/​jdk1.8.0/bin/java" ​+sudo update-alternatives --install /​usr/​bin/​java java /​opt/​jdk1.8.0_60/bin/java 1 
-update-alternatives --install ​"/​usr/​bin/​javac" "javac" "/​opt/​jdk1.8.0/bin/javac" ​+sudo update-alternatives --install /​usr/​bin/​javac javac /​opt/​jdk1.8.0_60/bin/javac 1 
-update-alternatives --set java /​opt/​jdk1.8.0/bin/java+sudo update-alternatives --set java /​opt/​jdk1.8.0_60/bin/java
 </​code>​ </​code>​
  
-Now exit "​su"​ mode  +Set version, you get to set as new versions of Raspbian have JDK7 preinstalled,​ you can install JDK8 as well just set which runs. 
-<​code>​exit</​code>​+<​code>​ 
 +sudo update-alternatives --config javac 
 +sudo update-alternatives --config java 
 +</​code>​ 
 + 
 +Check versions 
 +<​code>​ 
 +java -version 
 +javac -version 
 +</​code>​
  
-Check if JAVA works (version ​numbers will update from the example below);+Version ​numbers will update from the example below;
 <​code>​ <​code>​
 pi@raspberrypi ~ $ java -version pi@raspberrypi ~ $ java -version
-java version "1.8.0-ea+java version "1.8.0_60
-Java(TM) SE Runtime Environment (build 1.8.0-ea-b36e+Java(TM) SE Runtime Environment (build 1.8.0_60-b27
-Java HotSpot(TM) Client VM (build 25.0-b04, mixed mode)+Java HotSpot(TM) Client VM (build 25.60-b23, mixed mode)
 </​code>​ </​code>​
  
Line 56: Line 60:
  
 Enter the following: Enter the following:
-<​code>​JAVA_HOME="/​opt/​jdk1.8.0"</​code>​+<​code>​JAVA_HOME="/​opt/​jdk1.8.0_60"</​code>​
 Exit nano making sure you save the file. Exit nano making sure you save the file.
  
Line 64: Line 68:
 Put the entries at the end of the file:  Put the entries at the end of the file: 
 <​code>​ <​code>​
-export JAVA_HOME="/​opt/​jdk1.8.0"+export JAVA_HOME="/​opt/​jdk1.8.0_60"
 export PATH=$PATH:​$JAVA_HOME/​bin export PATH=$PATH:​$JAVA_HOME/​bin
 </​code>​ </​code>​
Line 164: Line 168:
 mkdir src mkdir src
 cd src cd src
-wget http://217.20.164.161/~tipok/​aacplus/​libaacplus-2.0.2.tar.gz+wget -O libaacplus-2.0.2.tar.gz ​http://tipok.org.ua/downloads/​media/aacplus/libaacplus/​libaacplus-2.0.2.tar.gz
 tar -xzf libaacplus-2.0.2.tar.gz tar -xzf libaacplus-2.0.2.tar.gz
 cd libaacplus-2.0.2 cd libaacplus-2.0.2
 ./​autogen.sh --with-parameter-expansion-string-replace-capable-shell=/​bin/​bash --host=arm-unknown-linux-gnueabi --enable-static ./​autogen.sh --with-parameter-expansion-string-replace-capable-shell=/​bin/​bash --host=arm-unknown-linux-gnueabi --enable-static
 +You have error message here. Change the line in autogen to "​(libtoolize --help..."​.
 make make
 sudo make install sudo make install
Line 187: Line 192:
 sudo apt-get install checkinstall sudo apt-get install checkinstall
 cd /​home/​pi/​src cd /​home/​pi/​src
-git clone http://git.chromium.org/​webm/​libvpx.git+git clone https://​chromium.googlesource.com/​webm/​libvpx
 cd libvpx cd libvpx
 ./configure ./configure
howto/linux/install/raspbian.1406059912.txt.gz · Last modified: 2014/07/22 21:11 by nx3